%global modname pyramid

Name:           python-%{modname}
Version:        1.0
Release:        1%{?dist}
Summary:        The Pyramid web application framework, a Pylons project

Group:          Development/Libraries
License:        BSD
URL:            http://pylonsproject.com
Source0:        http://pypi.python.org/packages/source/p/pyramid/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# Remove testing requirement repoze.sphinx.autointerface until it is packaged.
# It's not necessary for the test suite to run properly.
Patch0:         %{name}-testreqs.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-webtest
BuildRequires:  python-virtualenv
BuildRequires:  python-docutils
BuildRequires:  python-sphinx

BuildRequires:  python-chameleon >= 1.2.3
BuildRequires:  python-mako >= 0.3.6
BuildRequires:  python-paste > 1.7
BuildRequires:  python-paste-deploy
BuildRequires:  python-paste-script
BuildRequires:  python-webob >= 1.0
BuildRequires:  python-setuptools
BuildRequires:  python-zope-component
BuildRequires:  python-zope-interface >= 3.5.1
BuildRequires:  python-translationstring
BuildRequires:  python-venusian
BuildRequires:  python-repoze-lru
BuildRequires:  python-zope-configuration
BuildRequires:  python-zope-deprecation

Requires:       python-chameleon >= 1.2.3
Requires:       python-mako >= 0.3.6
Requires:       python-paste > 1.7
Requires:       python-paste-deploy
Requires:       python-paste-script
Requires:       python-webob >= 1.0
Requires:       python-setuptools
Requires:       python-zope-component
Requires:       python-zope-interface >= 3.5.1
Requires:       python-translationstring
Requires:       python-venusian
Requires:       python-repoze-lru
Requires:       python-zope-configuration
Requires:       python-zope-deprecation

%description
Pyramid is a small, fast, down-to-earth, open source Python web development
framework. It makes real-world web application development and deployment more
fun, more predictable, and more productive.  

%prep
%setup -q -n pyramid-%{version}
%patch0 -b .testreqs

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test
%{__rm} -r %{buildroot}%{python_sitelib}/pyramid/tests

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt
%{python_sitelib}/*
%{_bindir}/bfg2pyramid

%changelog
* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 1.0-1
- Initial package
